import java.io.IOException;

public class TestRunner
{
    private Play text;
    private int  wordLength;
    private char firstChar;

    public TestRunner( Play p, int length, char c )
    {
        text       = p;
        wordLength = length;
        firstChar  = c;
    }

    public void run() throws IOException
    {
        CompoundFeature test = new CompoundFeature();
        test.addTest( new StartsWith( firstChar  ) );
        test.addTest( new OfLength  ( wordLength ) );

        System.out.println( "The play in file " + text.name()             +
                            " contains "        + text.countWords( test ) +
                            " "                 + wordLength              +
                            "-letter words that start with " + firstChar  +
                            "."  );
        System.out.println();
        System.out.println( "It contains " + text.wordsOfLength( wordLength ) +
                            " "            + wordLength                       +
                             "-letter words," );
        System.out.println( "and it contains " + text.startsWith( firstChar ) +
                            " words that start with " + firstChar             +
                            "." );
    }
}
