import java.util.Enumeration;

public class BankAccount
{
    private Transaction[] transactions;
    private int           counter;

    public BankAccount()
    {
        transactions = new Transaction[ 10 ];
        counter      = 0;
    }

    public void add( Transaction t )
    {
        if ( counter < 10 )
        {
            transactions[ counter ] = t;
            counter++;
        }
    }

    public int balance()
    {
        int currentBalance = 0;
        for ( int i = 0; i < counter; i++)
            currentBalance = transactions[i].execute( currentBalance );
        return currentBalance;
    }

    public void print()
    {
        int currentBalance = 0;
        for ( int i = 0; i < counter; i++)
        {
            Transaction t = transactions[i];
            currentBalance = t.execute( currentBalance );

            t.print();
            System.out.println();
            System.out.println( "     Balance = $" + currentBalance/100 +
                              "."                + currentBalance%100 );
        }
    }

    protected Enumeration transactions()
    {
        return new ArrayEnumeration( transactions, counter );
    }
}
